CVE-2023-45311

CVSS 3.1 Score 9.8 of 10 (high)

Details

Published Oct 6, 2023
Updated: Nov 28, 2023
CWE ID 94

Summary

The vulnerability identified as CVE-2023-45311 affects fsevents before version 1.2.11. It relies on the URL https://fsevents-binaries.s3-us-west-2.amazonaws.com, which could potentially allow an attacker to execute arbitrary code if a JavaScript project that depends on fsevents distributes code obtained from that URL during a period when it was controlled by the adversary. However, some sources argue that this vulnerability may no longer be relevant as the URL is no longer under adversary control. The vulnerability has a base severity of CRITICAL with a base score of 9.8 according to NVD@nist.gov and can have high impact on integrity and confidentiality. No privileges are required for exploitation, and there is no user interaction required. The attack vector is through the network, with low attack complexity but high availability impact.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-45311 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options